# Popups

In the event that you are using Nosto's Onsite Popups, you can leverage the JS API to build complex interactions with the popups.

See the following articles on how to use the JS API to interact with the popups:

* [Listing Popup Campaigns](/techdocs/apis/frontend/js-apis/popups/listing-popup-campaigns.md)
* [Opening a Popup](/techdocs/apis/frontend/js-apis/popups/opening-a-popup.md)
* [Enabling & Disabling Popups](/techdocs/apis/frontend/js-apis/popups/enabling-and-disabling-popups.md)
* [Popup Callbacks](/techdocs/apis/frontend/js-apis/popups/popup-callbacks.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosto.com/techdocs/apis/frontend/js-apis/popups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
